6.10里面,我的游戏没有一个运行的起来,其他的软件一点问题都没有,我郁闷啊!

为当前最终发行版之前的所有版本提供支持
回复
头像
uusky
帖子: 159
注册时间: 2006-09-02 10:02
送出感谢: 0
接收感谢: 0
联系:

6.10里面,我的游戏没有一个运行的起来,其他的软件一点问题都没有,我郁闷啊!

#1

帖子 uusky » 2007-04-20 18:24

如题,我也没有干什么啊!
一运行游戏里面的程序,就开始黑屏,一个下划线,不停地闪烁,过了一阵子就开始桌面重启!就跟按了ctrl+Alt+BS一样。不知道为什么啊?我是用gnome,有一个蓝迪游戏是基于QT的,就它能运行。
高手们,这是为什么啊?感觉好像就是装了那个游戏后就开始这样了。
头像
halida
帖子: 246
注册时间: 2006-12-30 19:50
送出感谢: 0
接收感谢: 0

#2

帖子 halida » 2007-04-20 18:33

linux是diy的操作系統。。。。。
就是說如果出現問題需要自己diy....
讨厌free software
怀念卖软件的时代
头像
fallleaf
帖子: 694
注册时间: 2006-12-29 20:13
送出感谢: 0
接收感谢: 0

#3

帖子 fallleaf » 2007-04-20 19:26

这问题挺怪异的
在学习linux的道路上自在而行。
头像
juanzhewudi
帖子: 1114
注册时间: 2006-01-19 11:55
来自: HUST
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 juanzhewudi » 2007-04-20 19:31

显卡没有开3d加速?
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#5

帖子 eexpress » 2007-04-20 19:47

那些游戏,可能使用libsdl。应该是有些库版本不对,到终端下执行,看看提示。看~/.xsession-error的也可以。
ldd xxxx 可以看到依赖的库。
● 鸣学
头像
uusky
帖子: 159
注册时间: 2006-09-02 10:02
送出感谢: 0
接收感谢: 0
联系:

我也觉得很奇怪啊!

#6

帖子 uusky » 2007-04-20 20:03

我不知道阿 。
下面是一个错误提示。

uusky@unicorn:~$ pydance
0 joystick(s) found.
pydance 1.0.3 <pyddr-discuss@icculus.org> - irc.freenode.net/#pyddr
W: Psyco optimizing compiler not found.
Searching for songs in /usr/share/games/pydance/songs
Searching for songs in ~/.pydance/songs
Searching for songs in /usr/local/share/games/pydance/songs
Searching for courses in /usr/share/games/pydance/courses
Searching for courses in ~/.pydance/courses
Searching for courses in /usr/local/share/games/pydance/courses
Traceback (most recent call last):
File "/usr/games/pydance", line 205, in ?
if __name__ == '__main__': main()
File "/usr/games/pydance", line 159, in main
songs = load_files(screen, song_list, "songs", SongItem, (False,))
File "/usr/games/pydance", line 86, in load_files
pbar = TextProgress(FONTS[60], message, colors.WHITE, colors.BLACK)
File "/usr/share/games/pydance/fontfx.py", line 147, in __init__
self.text = font.render(message, False, [255, 0, 0], self.notcolor)
pygame.error: SDL_ttf render failed

这个程序没有挂,被我复制下来了。其他的一运行就黑屏了。我也不知道什么错误了。
头像
fallleaf
帖子: 694
注册时间: 2006-12-29 20:13
送出感谢: 0
接收感谢: 0

#7

帖子 fallleaf » 2007-04-20 20:33

字体问题?不会吧
在学习linux的道路上自在而行。
头像
uusky
帖子: 159
注册时间: 2006-09-02 10:02
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 uusky » 2007-04-20 20:45

这是我的.xsession-erro文件的内容。
大家看看,是发生什么错误了 。

/etc/gdm/PreSession/Default: Registering your session with wtmp and utmp
/etc/gdm/PreSession/Default: running: /usr/X11R6/bin/sessreg -a -w /var/log/wtmp -u /var/run/utmp -x "/var/lib/gdm/:0.Xservers" -h "" -l ":0" "uusky"
/etc/gdm/Xsession: Beginning session setup...
Setting IM through im-switch for locale=zh_CN.
Start IM through /etc/X11/xinit/xinput.d/zh_CN linked to /etc/X11/xinit/xinput.d/scim.
Launching a SCIM daemon with Socket FrontEnd...
Loading simple Config module ...
Creating backend ...
SESSION_MANAGER=local/unicorn:/tmp/.ICE-unix/9994
Loading socket FrontEnd module ...
Starting SCIM as daemon ...
Launching a SCIM process with x11...
Loading socket Config module ...
Creating backend ...
Loading x11 FrontEnd module ...
GTK Panel of SCIM 1.4.4

Starting SCIM as daemon ...
SCIM has been successfully launched.
Smart Common Input Method 1.4.4

Gnome-Message: gnome_execute_async_with_env_fds: returning -1
evolution-alarm-notify-Message: Setting timeout for 12708 1177084800 1177072092
evolution-alarm-notify-Message: Sat Apr 21 00:00:00 2007

evolution-alarm-notify-Message: Fri Apr 20 20:28:12 2007


(gnome-panel:10073): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -3 and height 24

谢谢各位了哈 。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#9

帖子 eexpress » 2007-04-20 20:54

SDL_ttf render failed
还是libsdl的问题。不知道确切的。多搜索这方面的吧。
8楼的提示没问题的。
● 鸣学
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#10

帖子 eexpress » 2007-04-20 20:56

i A libsdl-image1.2 - image loading library for Simple DirectMed
i A libsdl-mixer1.2 - mixer library for Simple DirectMedia Layer
i A libsdl-ttf2.0-0 - ttf library for Simple DirectMedia Layer w
i libsdl1.2debian - Simple DirectMedia Layer
i libsdl1.2debian-alsa - Simple DirectMedia Layer (with X11 and ALS
i xmame-sdl - SDL binaries for the Multiple Arcade Machi

看看你有这些包安装了没。其他的说不出原因了。
● 鸣学
头像
uusky
帖子: 159
注册时间: 2006-09-02 10:02
送出感谢: 0
接收感谢: 0
联系:

#11

帖子 uusky » 2007-04-20 21:24

eexpress:非常感谢您!
我检查了一下,你列出的库文件。我发现最后一个没有安装,但是不至于影响这么大吧?哈哈

我现在安装一下那个库。我再看看!非常感谢你了哈 。但是具体能不能解决问题,我等会再发帖上来。
头像
uusky
帖子: 159
注册时间: 2006-09-02 10:02
送出感谢: 0
接收感谢: 0
联系:

#12

帖子 uusky » 2007-04-20 21:24

eexpress:非常感谢您!
我检查了一下,你列出的库文件。我发现最后一个没有安装,但是不至于影响这么大吧?哈哈

我现在安装一下那个库。我再看看!非常感谢你了哈 。但是具体能不能解决问题,我等会再发帖上来。
头像
uusky
帖子: 159
注册时间: 2006-09-02 10:02
送出感谢: 0
接收感谢: 0
联系:

#13

帖子 uusky » 2007-04-20 21:25

eexpress:非常感谢您!
我检查了一下,你列出的库文件。我发现最后一个没有安装,但是不至于影响这么大吧?哈哈

我现在安装一下那个库。我再看看!非常感谢你了哈 。但是具体能不能解决问题,我等会再发帖上来。
头像
uusky
帖子: 159
注册时间: 2006-09-02 10:02
送出感谢: 0
接收感谢: 0
联系:

#14

帖子 uusky » 2007-04-20 22:54

诸位兄弟,还是不行阿!我郁闷死了。难道我要无所有的游戏一个一个给删了,看哪个有问题?
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#15

帖子 eexpress » 2007-04-20 23:48

最后那个是xmame的。这太奇怪了。

pygame.error: SDL_ttf render failed
还是python的???不知道有没有这个原因。

要不到英文官网问
● 鸣学
回复

回到 “老旧版本支持”